Get zone details

Prev Next
Get
/v1/zones/{zone-id}

Get details for a zone.

Path parameters
zone-id
string (uuid) Required

UUID of a zone.

Responses
200

Details of the zone.

Expand All
object

Detailed info of a zone.

acct_id
string (uuid)

The account ID of the account that this zone belongs to.

node_enrollment
object (NodeEnrollment)
attestation_enforcement_disabled_insecure
boolean
certificate
string

Zone certificate (PEM format).

zone_id
string (uuid)

Zone Id.

name
string

Zone name.

description
string

Zone description.

security_policy
object (SecurityPolicy)
attestation_enforcement_disabled_insecure
boolean
grace_period
object (TcbGracePeriodConfig)
seconds
integer (uint64)

Grace period represented in number of seconds.